import { J as Json, O as ObjectStorage, L as LogHandlerOptions, a as LogHandler, b as LoggerInterface, c as LogLevel } from './uuid-ad06cb82.js';
export { du as ArgumentsType, cm as AsyncMutex, cH as AsyncReturnType, V as BinInput, d2 as Channel, d1 as ChannelMessageEvent, dg as CryptoEncoder, au as Currency, as as CurrencyInput, av as DAY_MS, aS as Day, ax as DayInput, aR as DayInputLegacy, aw as DayValue, aY as DecimalInput, aX as DecimalValue, d8 as DefaultListener, cc as Disposable, cb as Disposer, ca as DisposerFunction, d9 as Emitter, d6 as EmitterAllHandler, d5 as EmitterHandler, dd as Encoder, J as Json, df as JsonEncoder, d7 as ListenerSignature, d3 as LocalChannel, a as LogHandler, L as LogHandlerOptions, c as LogLevel, cR as LogLevelAlias, cS as LogLevelAliasKey, cT as LogLevelAliasType, cU as LogMessage, cQ as Logger, cX as LoggerConsoleHandler, cW as LoggerContext, cV as LoggerContextInterface, b as LoggerInterface, d0 as LoggerMemoryHandler, dQ as MemStorage, dP as MemStorageOptions, dj as Message, dh as MessageAction, dn as MessageDefinitions, dp as MessageHub, di as MessageResult, dl as MessagesDefaultMethods, dm as MessagesMethods, dk as MessagesOptions, cl as Mutex, dU as NestedArray, de as NoopEncoder, O as ObjectStorage, cv as Pool, cr as PoolTask, ct as PoolTaskEvents, cp as PoolTaskFn, cs as PoolTaskIdConflictResolution, cq as PoolTaskState, b6 as Primitive, ds as PubSub, dx as RPCFn, dw as RPCOptions, dy as RPCReturn, ao as RenderMessagesOptions, dv as ReturnType, bF as RoundingMode, cK as SerialQueue, bQ as SortableItem, cJ as TaskEvents, cI as TaskFn, a8 as Uint8ArrayToHexDump, a7 as Uint8ArrayToJson, Y as Uint8ArrayToString, ch as UseDefer, ce as UseDispose, c9 as XRX, W as _decodeUtf8Polyfill, _ as _encodeUtf8Polyfill, E as arrayAvg, F as arrayBatches, t as arrayEmptyInPlace, q as arrayFilterInPlace, l as arrayFlatten, m as arrayIntersection, w as arrayIsEqual, B as arrayMax, C as arrayMin, j as arrayMinus, A as arrayRandomElement, o as arrayRemoveElement, p as arraySetElement, y as arrayShuffle, z as arrayShuffleForce, x as arrayShuffleInPlace, u as arraySorted, v as arraySortedNumbers, D as arraySum, n as arraySymmetricDifference, s as arrayToggleInPlace, k as arrayUnion, i as arrayUnique, bs as avg, bq as between, c3 as cloneJsonObject, c2 as cloneObject, bB as cmp, bA as composeOrderby, G as createArray, d4 as createLocalChannelPair, cw as createPromise, dq as createPromiseProxy, h as csv, at as currency, aW as dateStringToDays, aV as day, aA as dayDay, aQ as dayDiff, aE as dayFromAny, aG as dayFromDate, aH as dayFromDateGMT, aL as dayFromParts, aM as dayFromString, aJ as dayFromTimestamp, aD as dayFromToday, az as dayMonth, aN as dayMonthStart, aP as dayOffset, aC as dayToDate, aF as dayToDateGMT, aB as dayToParts, aK as dayToString, aI as dayToTimestamp, ay as dayYear, aO as dayYearStart, cM as debounce, aZ as decimal, b0 as decimalCentsPart, a_ as decimalFromCents, a$ as decimalToCents, K as decodeBase16, N as decodeBase32, Q as decodeBase58, S as decodeBase62, U as decodeBase64, g as decrypt, b1 as deepEqual, b3 as deepMerge, b2 as deepStripUndefinedInPlace, e as deriveKeyPbkdf2, dL as detect, d as digest, c1 as empty, I as encodeBase16, M as encodeBase32, P as encodeBase58, R as encodeBase62, T as encodeBase64, bX as encodeQuery, f as encrypt, bS as endSortWeight, bZ as ensureKey, b_ as ensureKeyAsync, a5 as equalBinary, b4 as escapeHTML, bE as escapeRegExp, dC as fetchBasic, dD as fetchJson, dH as fetchOptionsBasicAuth, dF as fetchOptionsFormURLEncoded, dG as fetchOptionsJson, dE as fetchText, ar as fixBrokenUth8String, aT as forEachDay, c6 as forTimes, ap as formatMessages, dS as formatMilliseconds, a4 as fromBase64, ac as fromCamelCase, a1 as fromHex, dK as getGlobal, cN as getGlobalContext, da as getGlobalEmitter, cP as getGlobalLogger, cY as getNamespaceFilterString, dJ as getNavigator, bl as getSecureRandom, bm as getSecureRandomIfPossible, dR as getTimestamp, dI as getWindow, dA as httpMethod, cy as immediate, b9 as isArray, bf as isBoolean, dM as isBrowser, bH as isEven, bG as isHalf, bd as isInteger, cO as isLocalHost, bg as isNullOrUndefined, bc as isNumber, b7 as isObject, bu as isPrime, bt as isPrimeRX, b8 as isPrimitive, cF as isPromise, ba as isRecord, be as isSafeInteger, bb as isString, cC as isTimeout, bh as isUint8Array, $ as joinToUint8Array, bk as jsonStringify, bj as jsonStringifySafe, bi as jsonStringifySorted, a6 as jsonToUint8Array, c0 as last, dc as lazyListener, bV as linkifyPlainText, c4 as memoize, c5 as memoizeAsync, db as messages, bT as moveSortWeight, by as objectIsEmpty, bw as objectMap, bx as objectMergeDisposable, dB as parseBasicAuth, dT as parseDate, c_ as parseLogLevel, bz as parseOrderby, bY as parseQuery, dN as platform, cG as promisify, e4 as qid, bn as randomBoolean, bp as randomFloat, bo as randomInt, r as randomUint8Array, c8 as regExpEscape, c7 as regExpString, aq as renderMessages, bJ as roundDown, bM as roundHalfAwayFromZero, bN as roundHalfDown, bO as roundHalfEven, bL as roundHalfOdd, bP as roundHalfTowardsZero, bK as roundHalfUp, bI as roundUp, bv as seededRandom, b$ as size, cx as sleep, bU as sortedItems, bC as sortedOrderby, bR as startSortWeight, ad as stringToBoolean, af as stringToFloat, ae as stringToInteger, X as stringToUInt8Array, e7 as suid, e6 as suidBytes, e9 as suidBytesDate, e8 as suidDate, br as sum, cL as throttle, cA as timeout, cz as timeoutReached, cB as timoutError, a2 as toBase64, a3 as toBase64Url, an as toBool, a9 as toCamelCase, aa as toCapitalize, ab as toCapitalizeWords, ak as toFloat, a0 as toHex, bW as toHumanReadableUrl, al as toInt, am as toString, Z as toUint8Array, bD as toValidFilename, aU as today, cD as tryTimeout, e3 as uname, b5 as unescapeHTML, co as useAsyncMutex, H as useBase, cg as useDefer, cd as useDispose, cf as useDisposer, ck as useEventListener, dO as useExitHandler, cj as useInterval, c$ as useLevelFilter, dr as useMessageHub, cn as useMutex, cZ as useNamespaceFilter, cu as usePool, dt as usePubSub, dz as useRPC, ci as useTimeout, dX as uuid, e2 as uuid32Decode, e1 as uuid32Encode, dW as uuid32bit, e0 as uuidB32, dV as uuidBytes, d_ as uuidDecode, d$ as uuidDecodeV4, dY as uuidEncode, dZ as uuidEncodeV4, e5 as uuidv4, ag as valueToBoolean, ai as valueToFloat, ah as valueToInteger, aj as valueToString, cE as waitOn } from './uuid-ad06cb82.js';

declare function urlBase64ToUint8Array(base64String: string): Uint8Array | undefined;

declare function gravatarURLByEmail(email: string, defaultURL?: string): string;

interface LocalStorageOptions {
    name: string;
    objectFromString?: (data: string) => any;
    objectToString?: (data: any) => string;
}
declare class LocalStorage<T = Json> implements ObjectStorage<T> {
    private name;
    private prefix;
    private pretty;
    private objectFromString;
    private objectToString;
    constructor(opt: LocalStorageOptions);
    setItem(key: string, value: T): void;
    getItem(key: string): T | undefined;
    removeItem(key: string): void;
    clear(): void;
    allKeys(): string[];
}

declare function LoggerBrowserHandler(opt?: LogHandlerOptions): LogHandler;
declare function LoggerBrowserSetupDebugFactory(opt?: LogHandlerOptions): (name?: string) => LoggerInterface;
/** @deprecated This output is default for initial use of Logger in browser environments. */
declare function activateConsoleDebug(opt?: LogHandlerOptions): void;

/** @deprecated */
declare function LoggerBrowserClassicHandler(level?: LogLevel, opt?: LogHandlerOptions): LogHandler;

declare function supportsColors(): boolean;
declare function selectColor(namespace: string): string;

declare function setupBrowserLog(): void;

export { LocalStorage, LocalStorageOptions, LoggerBrowserClassicHandler, LoggerBrowserHandler, LoggerBrowserSetupDebugFactory, activateConsoleDebug, gravatarURLByEmail, selectColor, setupBrowserLog, supportsColors, urlBase64ToUint8Array };
